Summary:	EFI Boot Manager
Summary(pl.UTF-8):	Boot Manager dla EFI
Name:		efibootmgr
Version:	14
Release:	1
License:	GPL v2+
Group:		Base
Source0:	https://github.com/rhinstaller/efibootmgr/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	f74e87963c2c5cb1bf6d588675dbd9b4
URL:		https://github.com/rhinstaller/efibootmgr
BuildRequires:	efivar-devel >= 0.20
BuildRequires:	pciutils-devel
Requires:	efivar-libs >= 0.20
ExclusiveArch:	%{ix86} %{x8664} ia64 x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
efibootmgr displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables. Additional
information about EFI can be found at
<http://developer.intel.com/technology/efi/efi.htm>.

%description -l pl.UTF-8
efibootmgr wyświetla i pozwala modyfikować wartości Boot Managera
EFI (Extensible Firmware Interface) Intela. Dodatkowe informacje o EFI
można znaleźć pod adresem
<http://developer.intel.com/technology/efi/efi.htm>.

%prep
%setup -q -n %{name}-%{version}

%build
%{__make} \
	CC="%{__cc}" \
	EXTRA_CFLAGS="%{rpmcflags} -I/usr/include/efivar" \
	VPATH=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install src/efibootmgr $RPM_BUILD_ROOT%{_sbindir}
install src/efibootdump $RPM_BUILD_ROOT%{_sbindir}
install src/efibootmgr.8 $RPM_BUILD_ROOT%{_mandir}/man8
install src/efibootdump.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md TODO
%attr(755,root,root) %{_sbindir}/efibootdump
%attr(755,root,root) %{_sbindir}/efibootmgr
%{_mandir}/man8/efibootdump.8*
%{_mandir}/man8/efibootmgr.8*
%changelog
* Thu Nov 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/efibootmgr.git;a=log;h=master

* Thu Nov 10 2016 Jacek Konieczny <jajcus@jajcus.net> c416f4a
- R: efivar-libs, not efivar

* Thu Nov 10 2016 Jacek Konieczny <jajcus@jajcus.net> 9112473
- Version: 14

* Mon Jun 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 4f32112
- updated to 0.12
- removed obsolete efivar patch
- now it uses libefiboot from efivar 0.20+

* Sun Apr 26 2015 Jan Rękorajski <baggins@pld-linux.org> acf94dd
- enable build on x32

* Sun Apr 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 62ac902
- updated to 0.11.0
- added efivar patch to resolve conflicts with efivar 0.16+

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> aeecf22
- updated to 0.6.0

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 4676efe
- updated to 0.5.4

* Mon Jul 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 0bc3339
- EA: x86* ia64

* Sun Jul 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 621d2b8
- new; needs fixed <linux/ethtool.h>

